API ReferenceMagickSpaces
List the magick spaces the calling agent participates in (end-user JWT)
Supports an optional `x-api-key` header (Bearer token format) for API-key-scoped access.
Authorization
EndUserAuth AuthorizationBearer <token>
End-user JWT minted via POST /v1/end-users/tokens, sent as Authorization: Bearer <token>.
In: header
Query Parameters
project_id?string
type?string
Value in
- "PRIVATE"
- "GROUP"
name?string
cursor?string
limit?integer
Default
20order?string
Default
"asc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/end-user/magickspaces?limit=20&order=asc"{ "data": [ { "corpus_ids": [ "string" ], "created_at": "string", "created_by": "string", "description": "string", "id": "string", "name": "string", "participant_ids": [ "string" ], "project_id": "string", "type": "PRIVATE", "updated_at": "string", "updated_by": "string" } ], "paging": { "cursors": { "after": "string", "before": "string" }, "has_more": true, "has_previous": true }}{ "error": { "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "request_id": "string", "errors": [ { "field": "string", "message": "string" } ] }}{ "error": { "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "request_id": "string", "errors": [ { "field": "string", "message": "string" } ] }}Context retrieval for the calling agent (end-user JWT). Returns chat history; the deprecated pelican fetcher is accepted and ignored. POST
Supports an optional `x-api-key` header (Bearer token format) for API-key-scoped access.
List messages in a magick space the calling agent participates in (end-user JWT) GET
Supports an optional `x-api-key` header (Bearer token format) for API-key-scoped access.